package com.goafanti.order.bo;

import java.math.BigDecimal;
import java.util.List;


import com.goafanti.common.utils.excel.Excel;
import com.goafanti.common.utils.excel.Excel.ColumnType;
import com.goafanti.common.utils.excel.ExcelConstant;
import com.goafanti.core.shiro.token.TokenManager;

public class TOrderTaskListBo {
	@Excel(name = "项目编号")
	private Integer id;
	@Excel(name = "项目名称")
	private String taskName;
	@Excel(name="合同编号")
	private String contractNo;
	@Excel(name="订单编号")
	private String orderNo;
	@Excel(name = "客户名称")
	private String userName;
	@Excel(name = "订单部门")
	private String depName;
	@Excel(name = "订单负责人")
	private String salesmanName;
	@Excel(name = "项目类别")
	private String cname;
	@Excel(name = "是否外包",readConverterExp = "0=否，1=是")
	private Integer outsource;
	@Excel(name = "项目负责人")
	private String receiverName;
	@Excel(name = "项目价格（万元）",scale  =6)
	private BigDecimal commodityPrice;
	@Excel(name = "分配时间")
	private String taskDate;
	@Excel(name = "数量（个）")
	private Integer commodityQuantity;
	@Excel(name = "任务状态",readConverterExp = ExcelConstant.TaskStateStr)
	private Integer taskStatus;
	@Excel(name = "项目状态",readConverterExp = ExcelConstant.NewProjectStatusStr)
	private Integer projectStatus;
	@Excel(name = "工时",cellType = ColumnType.NUMERIC)
	private Double hours;
	@Excel(name = "完成时间")
	private String taskEndTime;
	@Excel(name = "签单日期")
	private String signTime;
	@Excel(name = "派单日期")
	private String creteTime;
	private Integer alreadyNumber;
	private Integer approval;
	/** 外包部门 */
	private String outsourceName;
	private Integer outsourceStatus;
	private Integer outsourceType;
	private Integer splitStatus;
	private String	splitSuper;
	private Integer splitId;
	private Integer projectType;
	private String splitTimes;
	private String splitAname;
	private String taskReceiver;
	private List<TOrderTaskListBo> splitList;
	//判断是不是自己的单 0 是 1否
	//private Integer distributeSign;
	@Excel(name = "成本(万元)",scale = 6)
	private BigDecimal costAmount;
	@Excel(name = "已付(万元)",scale = 6)
	private BigDecimal partyAmount;
	public String getSplitSuper() {
		return splitSuper;
	}
	public void setSplitSuper(String splitSuper) {
		this.splitSuper = splitSuper;
	}
	public String getSplitTimes() {
		return splitTimes;
	}
	public void setSplitTimes(String splitTimes) {
		this.splitTimes = splitTimes;
	}
	public String getSplitAname() {
		return splitAname;
	}
	public void setSplitAname(String splitAname) {
		this.splitAname = splitAname;
	}
	public String getContractNo() {
		return contractNo;
	}
	public void setContractNo(String contractNo) {
		this.contractNo = contractNo;
	}
	public String getCreteTime() {
		return creteTime;
	}
	public void setCreteTime(String creteTime) {
		this.creteTime = creteTime;
	}
	public String getSignTime() {
		return signTime;
	}
	public void setSignTime(String signTime) {
		this.signTime = signTime;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getTaskName() {
		return taskName;
	}
	public void setTaskName(String taskName) {
		this.taskName = taskName;
	}
	public String getOrderNo() {
		return orderNo;
	}
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}
	public String getCname() {
		return cname;
	}
	public void setCname(String cname) {
		this.cname = cname;
	}
	public String getReceiverName() {
		return receiverName;
	}
	public void setReceiverName(String receiverName) {
		this.receiverName = receiverName;
	}
	public Integer getProjectStatus() {
		return projectStatus;
	}
	public void setProjectStatus(Integer projectStatus) {
		this.projectStatus = projectStatus;
	}
	public Integer getTaskStatus() {
		return taskStatus;
	}
	public void setTaskStatus(Integer taskStatus) {
		this.taskStatus = taskStatus;
	}
	public String getTaskDate() {
		return taskDate;
	}
	public void setTaskDate(String taskDate) {
		this.taskDate = taskDate;
	}
	public Integer getCommodityQuantity() {
		return commodityQuantity;
	}
	public void setCommodityQuantity(Integer commodityQuantity) {
		this.commodityQuantity = commodityQuantity;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public Double getHours() {
		return hours;
	}
	public void setHours(Double hours) {
		this.hours = hours;
		if(this.hours==null)this.hours=Double.parseDouble("0");
	}
	public String getDepName() {
		return depName;
	}
	public void setDepName(String depName) {
		this.depName = depName;
	}
	public Integer getAlreadyNumber() {
		return alreadyNumber;
	}
	public void setAlreadyNumber(Integer alreadyNumber) {
		this.alreadyNumber = alreadyNumber;
	}
	public String getOutsourceName() {
		return outsourceName;
	}
	public void setOutsourceName(String outsourceName) {
		this.outsourceName = outsourceName;
	}
	
	public String getTaskEndTime() {
		return taskEndTime;
	}
	public void setTaskEndTime(String taskEndTime) {
		this.taskEndTime = taskEndTime;
	}
	public BigDecimal getCommodityPrice() {
		return commodityPrice;
	}
	public void setCommodityPrice(BigDecimal commodityPrice) {
		this.commodityPrice = commodityPrice;
	}
	public String getSalesmanName() {
		return salesmanName;
	}
	public void setSalesmanName(String salesmanName) {
		this.salesmanName = salesmanName;
	}
	public Integer getApproval() {
		return approval;
	}
	public void setApproval(Integer approval) {
		this.approval = approval;
	}
	public Integer getOutsource() {
		return outsource;
	}
	public void setOutsource(Integer outsource) {
		this.outsource = outsource;
	}
	public Integer getOutsourceStatus() {
		return outsourceStatus;
	}
	public void setOutsourceStatus(Integer outsourceStatus) {
		this.outsourceStatus = outsourceStatus;
	}
	public Integer getSplitStatus() {
		return splitStatus;
	}
	public void setSplitStatus(Integer splitStatus) {
		this.splitStatus = splitStatus;
	}
	public List<TOrderTaskListBo> getSplitList() {
		return splitList;
	}
	public void setSplitList(List<TOrderTaskListBo> splitList) {
		this.splitList = splitList;
	}
	public Integer getDistributeSign() {
		if (TokenManager.getAdminId().equals(getTaskReceiver())) {
			return 0;
		}
		return 1;
	}
	public String getTaskReceiver() {
		return taskReceiver;
	}
	public void setTaskReceiver(String taskReceiver) {
		this.taskReceiver = taskReceiver;
	}
	public Integer getSplitId() {
		return splitId;
	}
	public void setSplitId(Integer splitId) {
		this.splitId = splitId;
	}
	public Integer getProjectType() {
		return projectType;
	}
	public void setProjectType(Integer projectType) {
		this.projectType = projectType;
	}
	public BigDecimal getCostAmount() {
		return costAmount;
	}
	public void setCostAmount(BigDecimal costAmount) {
		this.costAmount = costAmount;
	}
	public BigDecimal getPartyAmount() {
		return partyAmount;
	}
	public void setPartyAmount(BigDecimal partyAmount) {
		this.partyAmount = partyAmount;
	}
	public Integer getOutsourceType() {
		return outsourceType;
	}
	public void setOutsourceType(Integer outsourceType) {
		this.outsourceType = outsourceType;
	}
	
	
}
